\documentclass[12pt]{article}

% Margins
\topmargin=-0.45in
\evensidemargin=0in
\oddsidemargin=0in
\textwidth=6.5in
\textheight=9.0in
\headsep=0.25in

% Indentation
\parindent=0pt

\usepackage[utf8]{inputenc}
\usepackage{graphicx}
\usepackage[style=authoryear]{biblatex} %Imports biblatex package
\usepackage{hyperref}
\addbibresource{spec_references.bib} %Import the bibliography file


\makeatletter
\def\codeversion#1{\gdef\@codeversion{#1}}
\def\@codeversion{\@latex@warning@no@line{No \noexpand\codeversion given}}
\makeatother

\makeatletter
\def\specversion#1{\gdef\@specversion{#1}}
\def\@specversion{\@latex@warning@no@line{No \noexpand\specversion given}}
\makeatother

\makeatletter
\def\@maketitle{%
  \newpage
  \null
  \vskip 2em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
    \vskip 1em
    {\large Code Version: \@codeversion}
    \vskip 0.5em%
    {\large Specification Version: \@specversion}
    \vskip 0.5em%
    {\normalsize
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
    \vskip 0.5em%
    {\normalsize Date of Last Compilation: \@date}
    
  \end{center}%
  \par
  \vskip 1.5em}
\makeatother

\specversion{0.1}
\codeversion{0.4.0}
\title{SIFCE Design Document}
\author{Richard Udall}
\date{\today}


\newcommand{\SIFCE}{\texttt{SIFCE}}
\newcommand{\VT}{$\langle VT \rangle$ }

\begin{document}

\maketitle

\tableofcontents    

\section{Introduction} \label{sec:Introduction}
\input{spec_introduction.tex}

\section{Features}\label{sec:Features}
\input{spec_features.tex}

\section{Code Schematic}\label{sec:Schematic}
\input{spec_schematic.tex}

\appendix

\section{Terminology, Definitions, and Notation}\label{sec:Conventions}
\input{spec_conventions.tex}

\section{Important Libraries Upon Which \SIFCE{} Depends}\label{sec:Libraries}
\input{spec_libraries.tex}

\section{Computation of \VT} \label{sec:Deriv_VT}
\input{spec_derivations_vt.tex}

\printbibliography %Prints bibliography

\end{document}
